Package io.strimzi.systemtest.utils

## Class TestKafkaVersion

- java.lang.Object
- - io.strimzi.systemtest.utils.TestKafkaVersion

- All Implemented Interfaces:
    `Comparable<TestKafkaVersion>`

      public class TestKafkaVersion
      extends Object
      implements Comparable<TestKafkaVersion>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestKafkaVersion()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareDottedVersions​(String version1, String version2)` | Compare two decimal version strings, e.g.
    `int` | `compareTo​(TestKafkaVersion o)` |
    `boolean` | `equals​(Object o)` |
    `static List<TestKafkaVersion>` | `getKafkaVersions()` |
    `static Map<String,​TestKafkaVersion>` | `getKafkaVersionsInMap()` | Parse the version information present in the `/kafka-versions` classpath resource and return a map of kafka versions data with a version as key
    `int` | `hashCode()` |
    `boolean` | `isDefault()` |
    `boolean` | `isSupported()` |
    `boolean` | `isUpgrade​(TestKafkaVersion version)` |
    `String` | `messageVersion()` |
    `String` | `protocolVersion()` |
    `String` | `toString()` |
    `String` | `version()` |
    `String` | `zookeeperVersion()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestKafkaVersion

          public TestKafkaVersion()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### version

          public String version()

    - #### protocolVersion

          public String protocolVersion()

    - #### messageVersion

          public String messageVersion()

    - #### zookeeperVersion

          public String zookeeperVersion()

    - #### isDefault

          public boolean isDefault()

    - #### isSupported

          public boolean isSupported()

    - #### compareTo

          public int compareTo​(TestKafkaVersion o)

      Specified by:
        `compareTo` in interface `Comparable<TestKafkaVersion>`

    - #### compareDottedVersions

          public int compareDottedVersions​(String version1,
                                           String version2)

      Compare two decimal version strings, e.g. 1.10.1 > 1.9.2
      Parameters:
        `version1` - The first version.
        `version2` - The second version.
      Returns:
        Zero if version1 == version2; -1 if version1 < version2; 1 if version1 > version2.

    - #### isUpgrade

          public boolean isUpgrade​(TestKafkaVersion version)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getKafkaVersions

          public static List<TestKafkaVersion> getKafkaVersions()

    - #### getKafkaVersionsInMap

          public static Map<String,​TestKafkaVersion> getKafkaVersionsInMap()

      Parse the version information present in the `/kafka-versions` classpath resource and return a map of kafka versions data with a version as key
      Returns:
        A map of the kafka versions listed in the kafka-versions.yaml file where key is specific version